Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812242 - etcdctl cannot find cert
Summary: etcdctl cannot find cert
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Luis Sanchez
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1812236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 20:00 UTC by Luis Sanchez
Modified: 2020-05-04 11:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812236
Environment:
Last Closed: 2020-05-04 11:45:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 252 0 None closed [release-4.4] Bug 1812242: etcdctl cannot find cert 2020-04-06 08:48:05 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:46:06 UTC

Description Luis Sanchez 2020-03-10 20:00:01 UTC
+++ This bug was initially created as a clone of Bug #1812236 +++

Description of problem:

etcdctl run in in etcd pod cannot find crypto materials.

$ oc project openshift-etcd
$ oc exec $(oc get pods --selector app=etcd -o name | head -n 1) etcdctl member list 
Defaulting container name to etcdctl.
Use 'oc describe pod/etcd-ip-10-0-140-99.us-west-1.compute.internal -n openshift-etcd' to see all of the containers in this pod.
Error: open /etc/kubernetes/static-pod-resources/etcd-certs/secrets/etcd-all-peer/etcd-peer-ip-10-0-140-99.us-west-1.compute.internal.crt: no such file or directory
command terminated with exit code 128
$

Comment 6 errata-xmlrpc 2020-05-04 11:45:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.